<?php
/**
 * Createing a contact us page pannel for customizer
 *
 */

// CREATING A SECTION IN CUSTOMIZER
$wp_customize->add_section(
	'luzuk_premium_contactus_section',
	array(
		'title' => __( 'Contact Us Page', 'luzuk-premium' ),
        // 'panel' => 'luzuk_premium_home_panel'
		'priority' =>20
	)
);
addColorPalatOption($wp_customize, 'luzuk_contactusarea_secbg_color', 'luzuk_premium_contactus_section', 'Section BG Color', '#222a35');
lzCustomLable($wp_customize, 'contactus_detailhbx', 'luzuk_premium_contactus_section', 'Page Heading, Subheading');
$wp_customize->add_setting(
    'contactus_page_title',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Inquiry with us', 'luzuk' )
    )
);
$wp_customize->add_control(
    'contactus_page_title',
    array(
        'settings'      => 'contactus_page_title',
        'section'       => 'luzuk_premium_contactus_section',
        'type'          => 'text',
        'label'         => __( 'Heading', 'luzuk' )
    )
);

addColorPalatOption($wp_customize, 'luzuk_contactusarea_heading_color', 'luzuk_premium_contactus_section', 'Heading Color', '#fff');

$wp_customize->add_setting(
    'contactus_page_text',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Lorem ipsum dolor sit amet, consetetur sadipscing elitr sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At', 'luzuk' )
    )
);
$wp_customize->add_control(
    'contactus_page_text',
    array(
        'settings'      => 'contactus_page_text',
        'section'       => 'luzuk_premium_contactus_section',
        'type'          => 'text',
        'label'         => __( 'Text', 'luzuk' )
    )
);

addColorPalatOption($wp_customize, 'luzuk_contactusarea_text_color', 'luzuk_premium_contactus_section', 'Text Color', '#9c9c9c');

$wp_customize->add_setting(
        'contactus_form_heading2',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'contactus_form_heading2',
        array(
            'settings'      => 'contactus_form_heading2',
            'section'       => 'luzuk_premium_contactus_section',
            'label'         => __( 'Form Setting ', 'luzuk-premium' ),
        )
    )
);


$wp_customize->add_setting(
    'luzuk_contactus_shortcode',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '[your Shortcode]' )
    )
);
$wp_customize->add_control(
    'luzuk_contactus_shortcode',
    array(
        'settings'      => 'luzuk_contactus_shortcode',
        'section'       => 'luzuk_premium_contactus_section',
        'type'          => 'textarea',
        'label'         => __( 'Form Shortcode Here', 'luzuk Premium' )
    )
);

addColorPalatOption($wp_customize, 'luzuk_contactus_inquiry_forminputbrdClr', 'luzuk_premium_contactus_section', 'Form Input Border Color', '#b78264');

addColorPalatOption($wp_customize, 'luzuk_contactus_inquiry_forminputtextColor', 'luzuk_premium_contactus_section', 'Form Input Text / Placeholder Color', '#b3b3b3');

addColorPalatOption($wp_customize, 'luzuk_contactus_inquiry_formbgColor', 'luzuk_premium_contactus_section', 'Form Field BG Color', 'transparent');

addColorPalatOption($wp_customize, 'luzuk_contactus_inquiry_formlabelColor', 'luzuk_premium_contactus_section', 'Form Label Color', '#7a7a78');

addColorPalatOption($wp_customize, 'luzuk_contactus_inquiry_formbuttontextColor', 'luzuk_premium_contactus_section', 'Form Button Text Color', '#ffe99e');

addColorPalatOption($wp_customize, 'luzuk_contactus_inquiry_formbuttontexthoverColor', 'luzuk_premium_contactus_section', 'Form Button Text Hover Color', '#222a35');

addColorPalatOption($wp_customize, 'luzuk_contactus_inquiry_formbuttonbgColor1', 'luzuk_premium_contactus_section', 'Form Button BG Color 1', '#FFA200');
addColorPalatOption($wp_customize, 'luzuk_contactus_inquiry_formbuttonbgColor2', 'luzuk_premium_contactus_section', 'Form Button BG Color 2', '#FF6F00');

addColorPalatOption($wp_customize, 'luzuk_contactus_inquiry_formbuttonbghoverColor', 'luzuk_premium_contactus_section', 'Form Button BG Hover Color', '#fff');

// contact us email, phone, address


lzCustomLable($wp_customize, 'contactus_detailbx', 'luzuk_premium_contactus_section', 'Details Box Setting');

$wp_customize->add_setting(
    'luzuk_contactus_email_lable',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'E-mail', 'luzuk' )
    )
);
$wp_customize->add_control(
    'luzuk_contactus_email_lable',
    array(
        'settings'      => 'luzuk_contactus_email_lable',
        'section'       => 'luzuk_premium_contactus_section',
        'type'          => 'text',
        'label'         => __( 'Lable', 'luzuk' )
    )
);
$wp_customize->add_setting(
    'luzuk_contactus_email',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'info@dummytexthere.com', 'luzuk' )
    )
);
$wp_customize->add_control(
    'luzuk_contactus_email',
    array(
        'settings'      => 'luzuk_contactus_email',
        'section'       => 'luzuk_premium_contactus_section',
        'type'          => 'text',
        'label'         => __( 'E-mail', 'luzuk' )
    )
);

$wp_customize->add_setting(
    'luzuk_contactus_location_lable',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Address', 'luzuk' )
    )
);
$wp_customize->add_control(
    'luzuk_contactus_location_lable',
    array(
        'settings'      => 'luzuk_contactus_location_lable',
        'section'       => 'luzuk_premium_contactus_section',
        'type'          => 'text',
        'label'         => __( 'Lable', 'luzuk' )
    )
);

$wp_customize->add_setting(
    'luzuk_contactus_location',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '2349 stonecoal road new york', 'luzuk' )
    )
);
$wp_customize->add_control(
    'luzuk_contactus_location',
    array(
        'settings'      => 'luzuk_contactus_location',
        'section'       => 'luzuk_premium_contactus_section',
        'type'          => 'textarea',
        'label'         => __( 'Address', 'luzuk' )
    )
);
$wp_customize->add_setting(
    'luzuk_contactus_phone_lable',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Phone', 'luzuk' )
    )
);
$wp_customize->add_control(
    'luzuk_contactus_phone_lable',
    array(
        'settings'      => 'luzuk_contactus_phone_lable',
        'section'       => 'luzuk_premium_contactus_section',
        'type'          => 'text',
        'label'         => __( 'Lable', 'luzuk' )
    )
);
$wp_customize->add_setting(
    'luzuk_contactus_phone',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '(111)-222-333', 'luzuk' )
    )
);
$wp_customize->add_control(
    'luzuk_contactus_phone',
    array(
        'settings'      => 'luzuk_contactus_phone',
        'section'       => 'luzuk_premium_contactus_section',
        'type'          => 'text',
        'label'         => __( 'Phone No.', 'luzuk' )
    )
);

lzCustomLable($wp_customize, 'luzuk_sec_contpageclr', 'luzuk_premium_contactus_section', 'Page Details Box Color ');

// addColorPalatOption($wp_customize, 'luzuk_contactus_boxbgClr', 'luzuk_premium_contactus_section', 'Section Details Box BG Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_contactus_dataphoneiconClr', 'luzuk_premium_contactus_section', 'Icon Color', '#fff0d3');

addColorPalatOption($wp_customize, 'luzuk_contactus_dataphoneiconhvrClr', 'luzuk_premium_contactus_section', 'Icon Hover Color', '#222a35');

addColorPalatOption($wp_customize, 'luzuk_contactus_lableColor', 'luzuk_premium_contactus_section', 'Address , Email , Phone No. Lable Color', '#fff0d3');

addColorPalatOption($wp_customize, 'luzuk_contactus_dataColor', 'luzuk_premium_contactus_section', 'Address , Email , Phone No. Color', '#fff0d3');

addColorPalatOption($wp_customize, 'luzuk_contactus_emilhv', 'luzuk_premium_contactus_section', 'Email & Phone Hover Color', '#222a35');
addColorPalatOption($wp_customize, 'luzuk_contactus_emilbdr', 'luzuk_premium_contactus_section', 'Email & Address Border Color', '#000');


// ADDRESS GOOGLE/MSN/OTHER MAP IFRAME OR EMBADE CODE
$wp_customize->add_setting('luzuk_contactus_iframe_lbl', array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control(
	new luzuk_Customize_Heading($wp_customize, 'luzuk_contactus_iframe_lbl',
		array(
			'settings'      => 'luzuk_contactus_iframe_lbl',
			'section'       => 'luzuk_premium_contactus_section',
			'label'         => __( 'Contact Us Address', 'luzuk-premium' ),
		)
	)
);
// field for addeding the map code
$wp_customize->add_setting('inner_form_contactus_embade', array(/*'sanitize_callback' => 'esc_url_raw',*/ 'default'=>'Add Your Map Embade Code'));
$wp_customize->add_control('inner_form_contactus_embade', array('settings'=>'inner_form_contactus_embade', 'section'=>'luzuk_premium_contactus_section','type'=>'textarea', 'label'=> __('Code For Map', 'luzuk-premium')));

